# BEGIN SourceDeps(oneline):
BuildRequires: libX11-devel pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
%global oname   e16keyedit

Summary:        GUI for editing keybindings in Enlightenment, DR16
Name:           e16-keyedit
Version:        0.7
Release:        alt1_8
License:        MIT with advertising
Group:          Graphical desktop/Other
URL:            http://www.enlightenment.org/
Source0:        http://downloads.sourceforge.net/enlightenment/e16keyedit-%{version}.tar.gz
BuildRequires:  gtk2-devel desktop-file-utils
BuildRequires:  automake autoconf
Requires:       e16 >= 1.0.1
Source44: import.info

%description
The e16-keyedit package provides a graphical interface for managing
keybindings in Enlightenment, DR16.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure
%{__make} %{?_smp_mflags}
%{__cat} <<EOF > %{name}.desktop
[Desktop Entry]
Name=e16keyedit
Comment=Manage keybindings for e16
Exec=e16keyedit
Terminal=false
Type=Application
Icon=/usr/share/e16/misc/e16
Categories=Settings;DesktopSettings;
EOF

%install
%makeinstall_std
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%files
%doc README COPYING AUTHORS ChangeLog 
%{_bindir}/%{oname}
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_8
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_7
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_6
- fc import

